<div *ngIf="pokemon" class="row">
    <div class="col s12 m8 offset-m2">
    <h2   class="header center">{{ pokemon.name }}</h2>
    <div class="card horizontal hoverable" appDetail>
    <div class="card-image">
        <img [src]="pokemon.picture" alt="{{ pokemon.name }}">
    </div>
    <div class="card-stacked">
        <div class="card-content"  >
        <table appTableau class="bordered striped"  >
            <tbody>
            <tr  appTableau>
                <td appTableau>Nom</td>
                <td   appTableau><strong>{{ pokemon.name }}</strong></td>
            </tr>
            <tr>
                <td appTableau>Points de vie</td>
                <td  appTableau><strong>{{ pokemon.hp }}</strong></td>
            </tr>
            <tr>
                <td  appTableau>Dégâts</td>
                <td  appTableau><strong>{{ pokemon.cp }}</strong></td>
            </tr>
            <tr>
                <td appTableau>Types</td>
                <td appTableau>
                  <span appBlink *ngFor="let type of pokemon.types" class="{{ type | pokemonTypeColor }}">{{ type }}</span>
                </td>
            </tr>
            <tr>
                <td  appTableau>Date de création</td>
                <td  appTableau><em>{{ pokemon.created | date:"dd/MM/yyyy" }}</em></td>
            </tr>
            </tbody>
        </table>
        </div>
        <div class="card-action">
        <button appButton (click)="goToPokemonList()">Retour </button>
        <button appButton (click)="goToEditPokemon(pokemon)">Éditer</button>
        <button appButton (click)="deletePokemon(pokemon)"> Supprimer</button>
        </div>
    </div>
    </div>
    </div>
    </div>
    <h4 *ngIf='!pokemon' class="center"> <app-loader></app-loader> </h4>